/* @font-face {
   font-family: 'EODY';
   src: url('../fonts/subset-SFUIDisplay-Regular.woff2') format('woff2');
   font-weight: 400;
   font-style: normal;
   font-display: swap;
}


@font-face {
   font-family: 'EODY';
   src: url('../fonts/subset-SFUIDisplay-Medium.woff2') format('woff2');
   font-weight: 400;
   font-style: normal;
   font-display: swap;
}

@font-face {
   font-family: 'EODY';
   src: url('../fonts/subset-SFUIDisplay-Semibold.woff2') format('woff2');
   font-weight: 700;
   font-style: normal;
   font-display: swap;
}

@font-face {
   font-family: 'EODY';
   src: url('../fonts/subset-SFUIDisplay-Bold.woff2') format('woff2');
   font-weight: bold;
   font-style: normal;
   font-display: swap;
}

@font-face {
   font-family: 'EODY';
   src: url('../fonts/subset-SFUIDisplay-Heavy.woff2') format('woff2');
   font-weight: bolder;
   font-style: normal;
   font-display: swap;
}

body{
    font-family: 'EODY' !important;
} */

/* div.highlighted,
div#main-wrapper{
    max-width:100%;
} */

div#page-wrapper{
    border-top: 7px solid #91B3FA;
    overflow: hidden;
}

header#header{
    max-width: 1320px;
    margin-left: auto;
    margin-right: auto;
}

div.highlighted aside.section,
div#main-wrapper div#main{
    /* max-width: 90%; */
}

nav#navbar-main{
    flex-wrap: wrap;
    justify-content: space-between;
}

div#CollapsingNavbar{
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    background: #1D398D;
    color: #fff;
    padding-inline: 1.5rem;
    border: 1px solid transparent;
    border-radius: 40px;
    justify-content: space-between !important;
    align-items: center;
    flex: 0 0 100%;
}

nav#block-eody-islandora-main-menu ul li.nav-item a{
    color: #fff;
}

nav#block-eody-islandora-account-menu {
    width: fit-content;
}

nav#block-eody-islandora-account-menu li.nav-item{
    margin: 0;
    background: #FFC522;
    border-radius: 40px;
    margin-right: 1rem;
    transition: 0.3s;
}

nav#block-eody-islandora-account-menu li.nav-item a{
    text-align: center;
    margin: 0;
    color: #030E31;
    padding-inline: 35px;
}

nav#block-eody-islandora-account-menu li.nav-item:hover{
    background: #e6ae15;
}

nav#block-eody-islandora-account-menu li.nav-item:hover a{
    color: #fff;
}

div.featured-top aside.container.section.clearfix{
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    background: #DEF1FF;
    padding-block: 5px;
    padding-inline: 1.5rem;
    border: 1px solid transparent;
    border-radius: 40px;
    justify-content: space-between;
    align-items: center;
    margin-top: 1rem;
}

div.featured-top aside.container.clearfix:not(:has(section.region-featured-top)) {
  display: none;
}

div.featured-top aside.container.section.clearfix ol.breadcrumb{
    margin: 0;
}

div.featured-top aside.container.section.clearfix ol.breadcrumb li.breadcrumb-item{
    display: flex;
    align-items: center;
    padding: 0 !important;
}

div.featured-top aside.container.section.clearfix ol.breadcrumb li.breadcrumb-item:not(:first-child)::before{
    content: '' !important;
    margin: 0 10px !important;
    background: #FFC522;
    border-radius: 50px;
    width: 4px;
    height: 4px;
    padding: 0 !important;
}

div.featured-top aside.container.section.clearfix ol.breadcrumb li a{
    color: #1D398D;
    text-decoration: none;
}

ul.clearfix.nav.navbar-nav {
    flex-direction: row;
    width: max-content;
}

div#block-eody-islandora-boitheia{
    width: inherit;
    justify-items: end;
}

div#block-eody-islandora-boitheia button {
    border: none;
    background: transparent;
    color: #fff;
    display: flex;
}

div#block-eody-islandora-boitheia button img{
    margin-left: 0.5rem;
}

div#block-eody-islandora-eodyquicksearch {
    width: auto;
    padding: 0;
    margin: 0;
}

div#block-eody-islandora-eodyquicksearch div.content{
    display: flex;
    width: -webkit-fill-available;
    justify-content: flex-end;
}

form.eody-quick-search {
    display: flex;
    align-items: center;
    position: relative;
    right: -1.5rem;
}

div#block-eody-islandora-eodyquicksearch div.content form input{
    border-radius: 50px;
    border: none;
    padding-inline: 1rem;
}

div#block-eody-islandora-eodyquicksearch div.content form input:focus-visible {
    outline: none;
}

div#block-eody-islandora-eodyquicksearch div.content form button.eody-quick-search__submit{
    position: relative;
    background: url("/themes/custom/eody_islandora/images/icons8-search-18.png");
    right: 35px;
    width: 20px;
    height: 20px;
    border: none;
    background-repeat: no-repeat;
    font-size: 0px;
}

li.nav-item {
    font-weight: 600;
    display: flex;
    align-items: center;
    margin-right: 1rem;
}

li.nav-item a {
    margin-right: 1rem;
}

li.nav-item:not(:last-child)::after {
    display: block;
    position: relative;
    top: 25%;
    transform: translateY(-50%);
    width: 1px;
    height: 20px;
    background: #fff;
    content: "";
}

/* ==================================================== HOMEPAGE ==================================================== */

div.home-page div.row {
    margin-block: 5rem;
}

div.home-page {
    h1,h2,li{
        color: #1D398D;
        font-weight: bold;
    }

    li::marker{
        color: #FFC522;
    }

    p{
        color: #1D398D;
        font-size: 18px;
    }
}

/* =============================================== HEADER =============================================== */

div.homepage-header img{
    width:600px
}

div.homepage-header h1{
    width: 30rem;
    margin-bottom: 2rem;
}

span.pill-underline::after{
    content: "";
    position: absolute;
    width: 115px;           /* length of the pill */
    height: 12px;           /* thickness */
    background: #FFC522;
    border-radius: 999px;  
    margin-block: 2rem;
}

div.homepage-header div.col-lg-6{
    display:flex;
}

div.homepage-header div.col-lg-6:has(h1){
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content:center;
}

div.homepage-header div.col-lg-6:has(img){
    justify-content: center;
}

/* ====================================================================================================== */

/* =============================================== MAIN CONTENT =============================================== */

div.homepage-main-content{
    background: #EEF0F5;
    border: 1px solid #EEF0F5;
    border-radius: 32px;
    padding-block: 6rem;
}

div.homepage-main-content .col-lg-6{
    padding-inline: 7rem;
}

div.homepage-main-content .col-lg-6.first-col p{
    margin-top: 4rem;
}

div.homepage-main-content .col-lg-6 p.list-hero-label{
    width: -webkit-fill-available;
    display: flex;
    justify-content: center;
    padding-right: 3rem;
}

div.homepage-main-content h2{
    margin-bottom: 2rem;
    margin-top: 6rem;
}

div.homepage-main-content p{
    width: 33rem;
}

div.homepage-main-content ul{
    height: -webkit-fill-available;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
}

div.homepage-main-content ul li{
    font-size: 24px;
    width:23rem;
}

/* ============================================================================================================ */

/* =============================================== HIGHLIGHT =============================================== */

div.home-page div.highlight{
    background: #DEF1FF;
    border: 1px solid #DEF1FF;
    border-radius: 32px;
    padding-block: 5rem; 
}

div.home-page div.highlight h2{
    text-align: center;
    padding-inline: 20rem;
}

div.home-page div.highlight p{
    text-align: center;
    padding-inline: 5rem;
    margin-top: 2rem;
}


.row.highlight::after {
    content: "";
    position: relative;
    top: 5.7rem;
    left: 50%;
}

.relative-img-wrapper{
    width: fit-content !important;
    margin: 0 !important;
    padding: 0 !important;
    position: relative;
    background: #FFC522;
    border: 1px solid transparent;
    border-radius: 50%;
    top: 6.4rem;
    left: calc(50% - 27.5px);
}

.relative-img{
    padding-block: 10px;
    padding-inline: 12px;
}
/* ========================================================================================================= */

/* =============================================== COLECTIONS =============================================== */

.collection-page-header{
    width: 45%;
    margin-left: 15rem;
}

.collection-page-header{
    h1,h3,p{
        color:#1D398D;
    }

    .header-wrapper{
        margin-top: 3rem;
        margin-bottom: 6rem;
    }

    .description-wrapper{
        margin-block: 3rem;
    }
}


a.collection-page-item-link{
    display: flex;
    justify-content: space-between;
    padding-inline: 2.5rem !important; 
}

a.collection-page-item-link,
.collections a {
    border: 1px solid transparent;
    padding: 8px;
    width: 200px;
    margin-left: auto;
    margin-right: auto;
    background: #EEF0F5;
    text-align: center;
    text-decoration: none;
    color: #1D398D;
    font-weight: bold;
    border-radius: 30px;
    transition: 0.3s;
}

.collections a:hover,
a.collection-page-item-link:hover{
    transform: scale(1.05);
    color: #1D398D;
}
.collections .item a{
    color: #001041;
}

.collections h1{
    text-align: center;
}

span.pill-underline.pill-centered {
    display: flex;
    justify-content: center;
}
/* ========================================================================================================== */

/* ================================================================================================================== */


footer{
    background: #fff !important;
    padding-block: 0rem !important;
    z-index: 1;
    position: relative;
}

footer div.block-islandora-main{
    padding: 0px !important;
}

.footer-wrapper{
    max-width: 1320px;
    margin: auto;
    padding-inline: 3rem;
    background: #1D398D;
    margin-bottom: 3rem;
    border: 1px solid transparent;
    border-radius: 30px;
    color: #fff;
}

.hightlighted-text{
    margin-left: 2rem;
}

.wrapped-links{
    display: flex;
    justify-content: flex-end;
}

.wrapped-links a:first-child{
    margin-right: 2rem;
}

.first-footer-col{
    display: flex;
    align-items: center;
}

.first-footer-col p{
    margin: 0;
}

.info-wrapper div{
    display: flex;
    align-items: center;
}

.footer-logo{
    background: #fff;
    border: 1px solid transparent;
    border-radius: 20px;
    padding: 0.5rem;
    margin-right: 2rem;
}

.footer-image{
    display: flex;
    justify-content: flex-end;
    padding-block: 1.5rem;
}

.footer-image img{
    width: 80%;
    border: 1px solid transparent;
    border-radius: 20px;
}

span.color-text-eody-yellow,
span.color-text-eody-yellow a{
    font-size: 24px;
    font-weight: bold;
}

span.color-text-eody-yellow a,
a.color-text-eody-yellow{
    text-decoration: none;
}

.color-text-eody-yellow,
.color-text-eody-yellow a{
    color:#FFC522 !important;
}

/* ---------------------------------------- USER PAGE ---------------------------------------- */

body.user-logged-in {


    div.user-profile-wrapper{
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        background: #EEF0F5;
        padding: 5rem;
        border-radius: 32px;
        margin-top: 2rem;
    }

    div.user-profile-wrapper div.profile-pic-wrapper{
        width: fit-content;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    
    div.user-profile-wrapper div.profile-pic-wrapper img{
        border-radius: 500px;
        margin-bottom:2rem;
        width: 150px;
        height: 100%;
    }

    div.user-profile-wrapper div.profile-pic-wrapper div.field--name-user-picture > a{
        width: 200px;
        display: block;
    }

    div.profile-username-wrapper,
    div.user-profile-wrapper div.profile-pic-wrapper a.insert-pic-link{
        color: #1D398D;
        text-decoration: none;
        font-weight: 600;
        display: flex;
        align-items: center;
    }

    div.user-profile-wrapper div.profile-pic-wrapper a.insert-pic-link:hover{
        text-decoration: underline;
    }

    div.user-profile-wrapper div.profile-pic-wrapper a.insert-pic-link::before{
        content: "";
        background: url("/themes/custom/eody_islandora/images/icons8-plus-20.png");
        width: 20px;
        height: 20px;
        margin-right: 0.5rem;
    }
    
    div.user-profile-wrapper div.profile-username-wrapper{
        width: 40%;
        margin-left: 2rem;
        font-size: 32px;
    }

    div#block-eody-islandora-userfoldersheader{
        border:none;
        margin: 0.5rem;
        padding-inline: 15px;
        padding-block: 0;
    }

    div#block-eody-islandora-userfolders{
        padding-inline: 1rem;
        padding-block: 0.5rem;
    }

    div#block-eody-islandora-userfolders div.content,
    div#block-eody-islandora-userfolders ul.js-facets-links,
    div#block-eody-islandora-userfolders ul.js-facets-links li.facet-item {
        margin: 0;
    }

    .folders-header-wrapper{
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        align-items: center;
    }

    .folders-header-wrapper span{
        font-size: 18px;
        font-weight: 700;
        color: #1D398D;
    }

    .folders-header-wrapper a.new-folder-link{
        display: flex;
        align-items: center;
        color: #1D398D;
        font-weight: 600;
        text-decoration: none;
        background: #DEF1FF;
        padding-block: 5px;
        padding-inline: 1rem;
        border-radius: 50px;
    }

    .folders-header-wrapper a.new-folder-link img{
        background-size: cover;
        background-repeat: no-repeat;
        margin-left: 1rem;
    }
}



/* Hide default separator if any */
.breadcrumb-item::before {
  content: none;
}

/* Add arrow separator between items */
.breadcrumb-item:not(:first-child)::before {
  content: '›' !important;  /* or use '>' or '→' or '»' */
  margin: 0 10px !important;
  color: #1a4b8c !important;
}

/* ---------------------------------------- DASHBOARD PAGE ---------------------------------------- */

body.page-view-repository-items-dashboard div#main-wrapper{
    margin-block: 3rem;
}

body.page-view-repository-items-dashboard div.view-empty{
    text-align: center;
    width: 70%;
    margin-inline: auto;
    border: 1px solid #F8D7DA;
    border-radius: 32px 0px;
    padding: 2rem;
    background: #F8D7DA;
    font-size: 22px;
    font-weight: 600;
    color: #88282c;
}

body.page-view-repository-items-dashboard div#main-wrapper div#main div.content h1{
    margin-bottom: 2rem
}

body.page-view-repository-items-dashboard table th {
    background: #1D398D !important;
    align-content: center;
}

body.page-user-password,
body.page-user-login{

    div#main{
        margin-block: 2rem;
    }

    nav ul.primary{
        display: flex;
        justify-content: center;
    }

    .nav-tabs .nav-link{
        color:#1D398D;
    }
    .nav-tabs .nav-link:hover,
    .nav-tabs .nav-link.active{
        border-radius: 20px 20px 0px 0px;
        color:#030E31;
    }

    div#main > div {
        width: 100%;
        display: block !important;
    }

    div.content form.user-pass,
    div.content form.user-login-form{
        display: flex;
        flex-direction: column;

        width: 50%;
        margin-inline: auto;
        margin-block: 2rem;
        /* border: 1px solid; */
        border-radius: 40px;
        padding: 3rem;
        box-shadow: #1D398D 0px 0px 3px 0px;
    }

    /* div.content form.user-pass p,
    div.content form.user-pass div.form-type-textfield,
    div.content form.user-login-form div.form-type-textfield,
    div.content form.user-login-form div.form-type-password{
        display: flex;
        flex-direction: column;
        align-items: center;
    } */

    /* div.content form.user-pass div.form-type-textfield label,
    div.content form.user-login-form div.form-type-textfield label,
    div.content form.user-login-form div.form-type-password label{
        padding-left: 1rem;
        color: #1D398D;
        font-size: 22px;
        font-weight: 600;
    } */

    div.content form.user-pass div.form-type-textfield input,
    div.content form.user-login-form div.form-type-textfield input,
    div.content form.user-login-form div.form-type-password input{
        background-color: #eef0f5;
        border: 0 none;
        border-radius: 30px;
        padding: 10px 20px;
    }

    div#edit-actions{
        display: flex;
        width: -webkit-fill-available;
        flex-direction: row;
        justify-content: flex-start;
    }

    div#edit-actions input{
        display: inline-block;
        border-radius: 30px;
        background: #FFC522;
        color: #030E31;
        font-size: 16px;
        padding: 10px 35px;
        font-weight: bold;
        border: 0 none;
        width: fit-content;
    }

    div#edit-actions input:hover{
        background: #e6ae15;
        color: #fff;
    }

    form.openid-connect-login-form > div:has(input#edit-openid-connect-client-keycloak-login){
        text-align: center;
    }

    input#edit-openid-connect-client-keycloak-login {
        width: 30%;
        background: rgb(255, 197, 34);
        font-size: 18px;
        font-weight: 600;
        color: #030E31;
        border-color: rgb(255, 197, 34) !important;
        border: 2px solid;
        border-radius: 50px;
        min-height: 40px;
        transition: 0.3s;
    }
    input#edit-openid-connect-client-keycloak-login:hover {
        background: #e6ae15;
        border-color: #e6ae15 !important;
        color: #fff;
    }

}

body.user-logged-in.page-view-user-folder-block div#sidebar_first{
    width: 20% !important;
    margin-top: 3rem;
}


body.page-view-approval-dashboards {
    
    div#main-wrapper div.view-content{
        table.views-table thead tr {
            background: #DEF1FF;
        }

        table.views-table thead tr th{
            color: #1D398D;
        }
    }
}

@media (max-width: 1330px){
    header.header,
    footer.site-footer{
        width: 95%;
        margin-inline:auto;
    }
}

@media (max-width: 1200px) {

    nav.navbar button.navbar-toggler{
        display: none;
    }

    div.homepage-main-content p {
        width: 20rem;
    }

    div.homepage-main-content .col-lg-6 {
        padding-inline: 3rem;
    }

    div.home-page div.highlight h2{
        padding-inline: 5rem;
    }
    
    .collection-item.col-md-4 {
        width: 30rem;
        height: 30rem;
        margin-inline: auto;
    }
}

@media (max-width: 991px) {
    .collection-item.col-md-4 {
        width: 20rem;
        height: 20rem;
        margin-inline: auto;
    }


    div#main-wrapper div#main {
        max-width: 95%;
    }
}

@media (max-width: 767px) {
    .collection-item.col-md-4 {
        width: 30rem;
        height: 20rem;
        margin-inline: auto;
    }
}

@media (max-width: 575px) {
    
    div.home-page div.homepage-header,
    div.homepage-main-content,
    div.home-page div.highlight{
        margin-inline: 1rem;
    }
}